org.apache.ignite.mxbean

## Interface SnapshotMXBean

All Known Implementing Classes:
  SnapshotMXBeanImpl

    @MXBeanDescription(value="MBean that provides access for snapshot features.")
    public interface SnapshotMXBean

Snapshot features MBean.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `cancelSnapshot(String snpName)` Cancel previously started snapshot operation on the node initiator.
`void` `createSnapshot(String snpName)` Create the cluster-wide snapshot with given name asynchronously.

### Method Detail

#### createSnapshot

    @MXBeanDescription(value="Create cluster-wide snapshot.")
    void createSnapshot(@MXBeanParameter(name="snpName",description="Snapshot name.")
                                                                                  String snpName)

Create the cluster-wide snapshot with given name asynchronously.

Parameters:
  `snpName` - Snapshot name to be created.
See Also:
  `(String)`

#### cancelSnapshot

    @MXBeanDescription(value="Cancel started cluster-wide snapshot on the node initiator.")
    void cancelSnapshot(@MXBeanParameter(name="snpName",description="Snapshot name.")
                                                                                                                String snpName)

Cancel previously started snapshot operation on the node initiator.

Parameters:
  `snpName` - Snapshot name to cancel.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020